Skip to content
Ona Docs

GetAuthenticatedIdentity

POST/gitpod.v1.IdentityService/GetAuthenticatedIdentity

Retrieves information about the currently authenticated identity.

Use this method to:

  • Get current user information
  • Check authentication status
  • Retrieve organization context
  • Validate authentication principal

Examples

  • Get current identity:

    Retrieves details about the authenticated user.

    {}
Body ParametersJSONExpand Collapse
empty: optional boolean
ReturnsExpand Collapse
organizationId: optional string
organizationTier: optional string
subject: optional Subject { id, principal }

subject is the identity of the current user

id: optional string

id is the UUID of the subject

formatuuid
principal: optional Principal

Principal is the principal of the subject

One of the following:
"PRINCIPAL_UNSPECIFIED"
"PRINCIPAL_ACCOUNT"
"PRINCIPAL_USER"
"PRINCIPAL_RUNNER"
"PRINCIPAL_ENVIRONMENT"
"PRINCIPAL_SERVICE_ACCOUNT"
"PRINCIPAL_RUNNER_MANAGER"

GetAuthenticatedIdentity

curl https://app.gitpod.io/api/gitpod.v1.IdentityService/GetAuthenticatedIdentity \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $GITPOD_API_KEY" \
    -d '{}'
{
  "organizationId": "organizationId",
  "organizationTier": "organizationTier",
  "subject": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "principal": "PRINCIPAL_UNSPECIFIED"
  }
}
Returns Examples
{
  "organizationId": "organizationId",
  "organizationTier": "organizationTier",
  "subject": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "principal": "PRINCIPAL_UNSPECIFIED"
  }
}